﻿define([
    "dojo",
    "epi/_Module",
    "epi/dependency",
    "epi/routes",
    "gl-translations/Component/TranslationToolButtonProvider"
], function (
    dojo,
    _Module,
    dependency,
    routes,
    TranslationButtonCommandProvider
) {
    return dojo.declare([_Module], {
        initialize: function () {
            this.inherited(arguments);
            // Do any custom module initialization here
            var commandregistry = dependency.resolve("epi.globalcommandregistry");
            commandregistry.registerProvider("epi.cms.contentdetailsmenu", new TranslationButtonCommandProvider({
                plugInArea: "toolButton"
            }));

            var registry = this.resolveDependency("epi.storeregistry");

            // Register store
            // /EPiServer/GlobalLink.Translation/stores/translateproject
            var restpath = this._getRestPath("translateproject");
            registry.create("globallink.translationprojectstore", restpath);
        },

        _getRestPath: function (name) {
            return routes.getRestPath({ moduleArea: "GlobalLink.Translation", storeName: name });
        }
    });
});